' Macro to set the active depth to a user-selected depth
' and put the depth lock on

   Private Zdepth as double
   Private ActDepStr as String


Sub GetDepth


   ActDepStr = MbeInputBox("Enter the depth at which you wish to draw:","0.0", _
   "User-Selected Depth Lock")

   Zdepth = Val(ActDepStr)

End Sub


Sub SetDepth
 
    Dim iView as Integer
    Dim point As MbePoint

    MbeSendReset

' First, set Depth Lock off
    MbeSettings.depthLock = 0

' Now, set Active Depth
    MbeSendKeyIn "AZ="+ActDepStr+"#"
' Need a data point in the active view to complete above command
    For iView = 1 to MBE_MaxViews
    If MbeViews(iView).active <> 0 Then
       point.x = 487800.0#
       point.y = 5004000.0#
       point.z = Zdepth
       MbeSendDataPoint point, 1%
       Exit Sub
    End If

Next iView
 
End Sub


Sub LockDepth

' Set Depth Lock on
    MbeSettings.depthLock = 1

End Sub

' ---------------------------------------------------------------------------

Sub Main

  GetDepth

  SetDepth

  LockDepth

  MbeWritePrompt"Active Depth set and locked to "+ActDepStr

End Sub
